apiVersion: projectcalico.org/v3
kind: IPPool
metadata:
  name: blue-ippool
spec:
  cidr: 10.0.1.0/24
  ipipMode: Always
  natOutgoing: true
  nodeSelector: color == "blue"
---
apiVersion: projectcalico.org/v3
kind: IPPool
metadata:
  name: green-ippool
spec:
  cidr: 10.0.2.0/24
  ipipMode: Always
  natOutgoing: true
  nodeSelector: color == "green"